Storyden
Reports

Report Update

Update a report's status and optionally assign handler. Requires the `MANAGE_REPORTS` permission to set the status to anything other than closed. In other words, regular members can only close their own reports while "moderators" can acknowledge, assign and resolve reports.

PATCH
/reports/{report_id}

Update a report's status and optionally assign handler. Requires the MANAGE_REPORTS permission to set the status to anything other than closed. In other words, regular members can only close their own reports while "moderators" can acknowledge, assign and resolve reports.

Authorization

cookiestoryden-session<token>

Path Parameters

report_id*string

Unique report ID.

Formatxid

Request Body

application/json
  1. body
status?ReportStatus
Value in"submitted""acknowledged""resolved"
handled_by?Identifier

A unique identifier for this resource.

Formatxid

Response Body

OK

application/json
  1. response
id*Identifier

A unique identifier for this resource.

Formatxid
createdAt*string

The time the resource was created.

Formatdate-time
updatedAt*string

The time the resource was updated.

Formatdate-time
deletedAt?string

The time the resource was soft-deleted.

Formatdate-time
misc?

Arbitrary extra data stored with the resource.

target_id*Identifier

A unique identifier for this resource.

Formatxid
target_kind*DatagraphItemKind
Value in"post""thread""reply""node""collection""profile""event"
reported_by?

A minimal reference to an account.

handled_by?

A minimal reference to an account.

comment?string
status*ReportStatus
Value in"submitted""acknowledged""resolved"
item?||||
Example Request
curl -X PATCH 'https://example.com/api/reports/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "target_id": "string",  "target_kind": "post",  "reported_by": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  },  "handled_by": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  },  "comment": "string",  "status": "submitted",  "item": {    "kind": "post",    "ref": {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "title": "string",      "description": "string",      "slug": "string",      "author": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "visibility": "draft",      "assets": [        {          "id": "string",          "filename": "string",          "path": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "parent": {}        }      ],      "reacts": [        {          "id": "string",          "emoji": "string",          "author": {            "id": "string",            "joined": "2019-08-24T14:15:22Z",            "suspended": "2019-08-24T14:15:22Z",            "handle": "string",            "name": "string",            "signature": "string",            "roles": [              {                "badge": true,                "default": true,                "id": "string",                "name": "string",                "colour": "string",                "meta": {}              }            ]          }        }      ],      "collections": {        "in_collections": 0,        "has_collected": true      },      "likes": {        "likes": 0,        "liked": true      },      "meta": {},      "body": "string",      "body_links": [        {          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "misc": {},          "url": "string",          "slug": "string",          "domain": "string",          "title": "string",          "description": "string",          "favicon_image": {            "id": "string",            "filename": "string",            "path": "string",            "mime_type": "string",            "width": 0,            "height": 0,            "parent": {}          },          "primary_image": {            "id": "string",            "filename": "string",            "path": "string",            "mime_type": "string",            "width": 0,            "height": 0,            "parent": {}          },          "liveness_status": "unknown",          "liveness_checked_at": "2019-08-24T14:15:22Z",          "scrape_status": "pending",          "scrape_attempted_at": "2019-08-24T14:15:22Z",          "scraped_at": "2019-08-24T14:15:22Z"        }      ]    }  }}